package com.ruoyi.web.v2.v1.service;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.v2.v1.model.JsStore;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * v2.0无害化暂存 服务类
 * </p>
 *
 * @author author
 * @since 2025-05-26
 */
public interface IJsStoreService extends IService<JsStore> {

    AjaxResult add(JsStore jsStore);

    AjaxResult edit(JsStore jsStore);

    AjaxResult delete(String ids);

    AjaxResult page(Integer pageNum, Integer pageSize, String startTime, String endTime, Integer harmlessTreatmentId, String animalType);

    AjaxResult listAll();
}
